<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:intf="http://ws.marke.register.dpma.de" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:impl="http://ws.marke.register.dpma.de" targetNamespace="http://ws.marke.register.dpma.de" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema xmlns="http://www.w3.org/2001/XMLSchema" elementFormDefault="qualified" targetNamespace="http://ws.marke.register.dpma.de">
      <xsd:element name="search">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="query" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="searchResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="searchReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="version">
        <xsd:complexType />
      </xsd:element>
      <xsd:element name="versionResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="versionReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterInfo">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterInfoResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterInfoReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterInfoBySt13Akz">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterInfoBySt13AkzResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterInfoBySt13AkzReturn" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterFullImage">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterFullImageResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterFullImageReturn" type="xsd:base64Binary" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterFullImageBySt13Akz">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterFullImageBySt13AkzResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterFullImageBySt13AkzReturn" type="xsd:base64Binary" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterThumbnailImage">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterThumbnailImageResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterThumbnailImageReturn" type="xsd:base64Binary" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterThumbnailImageBySt13Akz">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="user" type="xsd:string" />
            <xsd:element name="pwd" type="xsd:string" />
            <xsd:element name="akz" type="xsd:string" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
      <xsd:element name="getRegisterThumbnailImageBySt13AkzResponse">
        <xsd:complexType>
          <xsd:sequence>
            <xsd:element name="getRegisterThumbnailImageBySt13AkzReturn" type="xsd:base64Binary" />
          </xsd:sequence>
        </xsd:complexType>
      </xsd:element>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="searchResponse">
    <wsdl:part name="parameters" element="impl:searchResponse" />
  </wsdl:message>
  <wsdl:message name="searchRequest">
    <wsdl:part name="parameters" element="impl:search" />
  </wsdl:message>
  <wsdl:message name="versionResponse">
    <wsdl:part name="parameters" element="impl:versionResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterInfoBySt13AkzResponse">
    <wsdl:part name="parameters" element="impl:getRegisterInfoBySt13AkzResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterFullImageResponse">
    <wsdl:part name="parameters" element="impl:getRegisterFullImageResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterFullImageBySt13AkzRequest">
    <wsdl:part name="parameters" element="impl:getRegisterFullImageBySt13Akz" />
  </wsdl:message>
  <wsdl:message name="getRegisterThumbnailImageResponse">
    <wsdl:part name="parameters" element="impl:getRegisterThumbnailImageResponse" />
  </wsdl:message>
  <wsdl:message name="versionRequest">
    <wsdl:part name="parameters" element="impl:version" />
  </wsdl:message>
  <wsdl:message name="getRegisterInfoBySt13AkzRequest">
    <wsdl:part name="parameters" element="impl:getRegisterInfoBySt13Akz" />
  </wsdl:message>
  <wsdl:message name="getRegisterInfoResponse">
    <wsdl:part name="parameters" element="impl:getRegisterInfoResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterThumbnailImageRequest">
    <wsdl:part name="parameters" element="impl:getRegisterThumbnailImage" />
  </wsdl:message>
  <wsdl:message name="getRegisterFullImageBySt13AkzResponse">
    <wsdl:part name="parameters" element="impl:getRegisterFullImageBySt13AkzResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterFullImageRequest">
    <wsdl:part name="parameters" element="impl:getRegisterFullImage" />
  </wsdl:message>
  <wsdl:message name="getRegisterThumbnailImageBySt13AkzResponse">
    <wsdl:part name="parameters" element="impl:getRegisterThumbnailImageBySt13AkzResponse" />
  </wsdl:message>
  <wsdl:message name="getRegisterThumbnailImageBySt13AkzRequest">
    <wsdl:part name="parameters" element="impl:getRegisterThumbnailImageBySt13Akz" />
  </wsdl:message>
  <wsdl:message name="getRegisterInfoRequest">
    <wsdl:part name="parameters" element="impl:getRegisterInfo" />
  </wsdl:message>
  <wsdl:portType name="DPMAregister">
    <wsdl:operation name="search">
      <wsdl:input name="searchRequest" message="impl:searchRequest" />
      <wsdl:output name="searchResponse" message="impl:searchResponse" />
    </wsdl:operation>
    <wsdl:operation name="version">
      <wsdl:input name="versionRequest" message="impl:versionRequest" />
      <wsdl:output name="versionResponse" message="impl:versionResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterInfo">
      <wsdl:input name="getRegisterInfoRequest" message="impl:getRegisterInfoRequest" />
      <wsdl:output name="getRegisterInfoResponse" message="impl:getRegisterInfoResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterInfoBySt13Akz">
      <wsdl:input name="getRegisterInfoBySt13AkzRequest" message="impl:getRegisterInfoBySt13AkzRequest" />
      <wsdl:output name="getRegisterInfoBySt13AkzResponse" message="impl:getRegisterInfoBySt13AkzResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterFullImage">
      <wsdl:input name="getRegisterFullImageRequest" message="impl:getRegisterFullImageRequest" />
      <wsdl:output name="getRegisterFullImageResponse" message="impl:getRegisterFullImageResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterFullImageBySt13Akz">
      <wsdl:input name="getRegisterFullImageBySt13AkzRequest" message="impl:getRegisterFullImageBySt13AkzRequest" />
      <wsdl:output name="getRegisterFullImageBySt13AkzResponse" message="impl:getRegisterFullImageBySt13AkzResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterThumbnailImage">
      <wsdl:input name="getRegisterThumbnailImageRequest" message="impl:getRegisterThumbnailImageRequest" />
      <wsdl:output name="getRegisterThumbnailImageResponse" message="impl:getRegisterThumbnailImageResponse" />
    </wsdl:operation>
    <wsdl:operation name="getRegisterThumbnailImageBySt13Akz">
      <wsdl:input name="getRegisterThumbnailImageBySt13AkzRequest" message="impl:getRegisterThumbnailImageBySt13AkzRequest" />
      <wsdl:output name="getRegisterThumbnailImageBySt13AkzResponse" message="impl:getRegisterThumbnailImageBySt13AkzResponse" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="DPMAregisterSoapBinding" type="impl:DPMAregister">
    <wsdlsoap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="search">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="searchRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="searchResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="version">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="versionRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="versionResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterInfo">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterInfoRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterInfoResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterInfoBySt13Akz">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterInfoBySt13AkzRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterInfoBySt13AkzResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterFullImage">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterFullImageRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterFullImageResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterFullImageBySt13Akz">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterFullImageBySt13AkzRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterFullImageBySt13AkzResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterThumbnailImage">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterThumbnailImageRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterThumbnailImageResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="getRegisterThumbnailImageBySt13Akz">
      <wsdlsoap:operation soapAction="" />
      <wsdl:input name="getRegisterThumbnailImageBySt13AkzRequest">
        <wsdlsoap:body use="literal" />
      </wsdl:input>
      <wsdl:output name="getRegisterThumbnailImageBySt13AkzResponse">
        <wsdlsoap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="DPMAregisterMarkeService">
    <wsdl:port name="DPMAregister" binding="impl:DPMAregisterSoapBinding">
      <wsdlsoap:address location="http://dpmaconnect.dpma.de/dpmaws/services/DPMAregisterMarkeService" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>